
Foreman - Bug #398

domain wrong if host contians a '.' 

10/04/2010 10:22 AM - Matt Moran

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Host creation   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

http://github.com/ohadlevy/foreman/blob/develop/app/models/host.rb#L451

If host = 'xx-01.xx-02' then the domain will be 'xx-02.mydomain.com' and not 'mydomain.com'

Associated revisions

Revision 61dc8cee - 10/04/2010 09:34 PM - Matt Moran

fixes bug #398 - issue with adding hosts with full stops

This introduce a small behaviour change, before, once adding host like:

x.domain.net, foreman would automatically add domain.net to its domain

list, but now, as a full stop(".") is a valid hostname char,

we can't parse the domain name safely, therefor we expect the user to

make sure that the domain created before creating a host.

History

#1 - 10/04/2010 11:26 AM - Matt Moran

http://localhost:3000/node/ms-01.cl-01?format=yml works

but http://localhost:3000/node/ms-01.cl-01.mydomain.com?format=yml fails

#2 - 10/04/2010 02:05 PM - Matt Moran

- File 0001-fixes-bug-398-issue-with-adding-hosts-with-full-stop.patch added

- Assignee changed from Matt Moran to Ohad Levy

Here's my patch.

#3 - 10/04/2010 09:39 PM - Ohad Levy

- Status changed from New to Ready For Testing

- Target version set to 0.1-6

- % Done changed from 0 to 100

#4 - 10/05/2010 08:44 AM - Matt Moran

Pulled update.  Tested okay.

#5 - 10/05/2010 08:48 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-fixes-bug-398-issue-with-adding-hosts-with-full-stop.patch 2.23 KB 10/04/2010 Matt Moran
